Logger< _charT, _Traits >::LoggerState Class Reference
Collaboration diagram for Logger< _charT, _Traits >::LoggerState:

## Public Attributes

bool | line_beginning
Level | loggerLevel
Level | currentLevel

## Detailed Description

### template<class _charT, class _Traits = std::char_traits<_charT>>
class Logger< _charT, _Traits >::LoggerState

Definition at line 241 of file logger.h.

## Member Data Documentation

## currentLevel

template<class _charT, class _Traits = std::char_traits<_charT>>

Level Logger< _charT, _Traits >::LoggerState::currentLevel

Definition at line 245 of file logger.h.

Referenced by Logger< char >::getCurrentLevel(), Logger< char >::init(), Logger< char >::setCurrentLevel(), and Logger< char >::shouldLog().

## line_beginning

template<class _charT, class _Traits = std::char_traits<_charT>>

bool Logger< _charT, _Traits >::LoggerState::line_beginning

Definition at line 243 of file logger.h.

Referenced by Logger< char >::endl(), and Logger< char >::init().

## loggerLevel

template<class _charT, class _Traits = std::char_traits<_charT>>

Level Logger< _charT, _Traits >::LoggerState::loggerLevel

Definition at line 244 of file logger.h.

Referenced by Logger< char >::getLevel(), Logger< char >::init(), Logger< char >::setLevel(), and Logger< char >::shouldLog().

The documentation for this class was generated from the following file:

- /build/presage-hvZ4Ld/presage-0.9.1/src/lib/core/logger.h